#
# spec file for package libqt5-qtcharts
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define qt5_snapshot 0
%define libname libQt5Charts5
%define base_name libqt5
%define real_version 5.9.7
%define so_version 5.9.7
%define tar_version qtcharts-opensource-src-5.9.7
Name:           libqt5-qtcharts
Version:        5.9.7
Release:        lp151.1.2
Summary:        Qt 5 Charts Library
License:        GPL-3.0
Group:          Development/Libraries/C and C++
Url:            http://doc.qt.io/qt-5/qtcharts-index.html
Source:         https://download.qt.io/official_releases/qt/5.9/%{real_version}/submodules/%{tar_version}.tar.xz
BuildRequires:  fdupes
BuildRequires:  libqt5-qtdeclarative-devel >= %{version}
BuildRequires:  xz
%requires_ge    libQtQuick5
%if %{qt5_snapshot}
#to create the forwarding headers
BuildRequires:  perl
%endif

%description
Qt Charts is a set of chart components.

Qt Charts module provides a set of easy to use chart components. It uses the Qt Graphics View Framework, therefore charts can be easily integrated to modern user interfaces. Qt Charts can be used as QWidgets, QGraphicsWidget, or QML types. Users can easily create impressive graphs by selecting one of the charts themes.

%prep
%setup -q -n qtcharts-opensource-src-%{real_version}

%package -n %{libname}
Summary:        Qt 5 Charts Library
Group:          System/Libraries
%requires_ge    libQt5Core5

%description -n %{libname}
Qt Charts module provides a set of chart components. It uses the Qt
Graphics View Framework, therefore charts can be integrated to user
interfaces. Qt Charts can be used as QWidgets, QGraphicsWidget, or
QML types. Users can create graphs by selecting one of the charts
themes.

This package contains a shared library for the QtChart.

%package -n %{libname}-devel
Summary:        Development files for the Qt 5 Charts Library
Group:          Development/Libraries/C and C++
Requires:       %{libname} = %{version}

%description -n %{libname}-devel
This package provides header files and shared libraries for development with
Qt Charts.

%package -n %{libname}-designer
Summary:        Designer plugin for the Qt 5 Charts library
Group:          System/Libraries
BuildRequires:  libqt5-qttools-devel
Requires:       %{libname}-devel = %{version}
Requires:       libqt5-qttools

%description -n %{libname}-designer
This package provides Qt Designer plugin for development with Qt Charts.

%package examples
Summary:        Example programs for the Qt 5 Charts Library
Group:          Development/Tools/Other
BuildRequires:  libqt5-qtmultimedia-devel
Requires:       %{libname} = %{version}
Recommends:     %{libname}-devel

%description examples
Examples for Qt5 Charts module.

%package imports
Summary:        QML imports for the Qt 5 Charts Library
Group:          System/Libraries
Requires:       %{libname} = %{version}
%requires_ge    libQtCharts5
Supplements:    packageand(%{libname}:libQtCharts5)

%description imports
This package contains QML import files.

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%build
%if %{qt5_snapshot}
#force the configure script to generate the forwarding headers (it checks whether .git directory exists)
mkdir .git
%endif
%qmake5
%make_jobs
pushd plugins/designer
%qmake5
%make_jobs
popd

%install
%qmake5_install
pushd plugins/designer
%qmake5_install
popd
%fdupes %{buildroot}/%{_libqt5_examplesdir}

# kill .la files
rm -f %{buildroot}%{_libqt5_libdir}/lib*.la

%files -n %{libname}
%doc LICENSE*
%{_libqt5_libdir}/libQt5Charts.so.*

%files -n %{libname}-devel
%doc LICENSE*
%{_libqt5_libdir}/libQt5Charts.so
%{_libqt5_libdir}/libQt5Charts.prl
%{_libqt5_libdir}/cmake/Qt5Charts/
%{_libqt5_libdir}/pkgconfig/Qt5Charts.pc
%{_libqt5_archdatadir}/mkspecs/modules/qt_lib_charts.pri
%{_libqt5_archdatadir}/mkspecs/modules/qt_lib_charts_private.pri
%{_libqt5_includedir}/QtCharts/
%exclude %{_libqt5_includedir}/Qt*/%{so_version}/

%files -n %{libname}-designer
%doc LICENSE*
%{_libqt5_archdatadir}/plugins
%{_libqt5_archdatadir}/plugins/designer
%{_libqt5_archdatadir}/plugins/designer/libqtchartsdesigner.so

%files examples
%doc LICENSE*
%{_libqt5_examplesdir}/

%files imports
%doc LICENSE*
%{_libqt5_archdatadir}/qml/*/

%changelog
* Tue Oct 23 2018 fabian@ritter-vogt.de
- Update to 5.9.7:
  * New bugfix release
  * http://code.qt.io/cgit/qt/qtcharts.git/plain/dist/changes-5.9.7/?h=v5.9.7
* Wed Jun  6 2018 fabian@ritter-vogt.de
- Update to 5.9.6
  * New bugfix release
  * For more details please see:
  * http://code.qt.io/cgit/qt/qtcharts.git/plain/dist/changes-5.9.6/?h=v5.9.6
* Mon Apr 23 2018 fabian@ritter-vogt.de
- Update to 5.9.5
  * New bugfix release
  * For more details please see:
  * http://code.qt.io/cgit/qt/qtcharts.git/plain/dist/changes-5.9.5/?h=v5.9.5
* Thu Jan 25 2018 fabian@ritter-vogt.de
- Update to 5.9.4:
  * New bugfix release
  * For more details, see
    http://code.qt.io/cgit/qt/qtcharts.git/tree/dist/changes-5.9.4/?h=v5.9.4
* Sat Nov 25 2017 fabian@ritter-vogt.de
- Update to 5.9.3
  * New bugfix release
  * For more details, see:
    http://code.qt.io/cgit/qt/qtcharts.git/tree/dist/changes-5.9.3/?h=v5.9.3
* Sun Oct  8 2017 lbeltrame@kde.org
- Update to 5.9.2
  * For more details please see:
    https://blog.qt.io/blog/2017/10/06/qt-5-9-2-released/
* Wed Aug 23 2017 fabian@ritter-vogt.de
- Run spec-cleaner, add %%doc LICENSE*
* Tue Jul  4 2017 fabian@ritter-vogt.de
- Do not emit a %%{name} package only containing the license
* Tue Jul  4 2017 jengelh@inai.de
- Improve on summary
* Sat Jul  1 2017 lbeltrame@kde.org
- Update to 5.9.1
  * For more details please see:
    http://blog.qt.io/blog/2017/06/30/qt-5-9-1-released/
* Wed May 31 2017 fabian@ritter-vogt.de
- Update to 5.9.0 final
* Mon May 29 2017 fabian@ritter-vogt.de
- Drop -docs subpackage, part of libqt5-qtdoc
* Wed May 24 2017 fabian@ritter-vogt.de
- Update to 5.9.0 RC:
  * For more details please see:
    http://lists.qt-project.org/pipermail/announce/2017-May/000115.html
    and https://wiki.qt.io/New_Features_in_Qt_5.9
* Thu May 18 2017 jengelh@inai.de
- Rectify RPM groups.
* Mon Jan 30 2017 jengelh@inai.de
- Update descriptions
* Thu Dec 15 2016 hrvoje.senjan@gmail.com
- Fix Group markings
- Don't build docs, they're included in the main doc package
* Wed Dec 14 2016 hrvoje.senjan@gmail.com
- Update to 5.7.1
  * For more details please see:
    https://blog.qt.io/blog/2016/12/14/qt-5-7-1-released/
    and https://www.qt.io/qt5-7/
* Fri Jul 29 2016 termim@gmail.com
- Initial checkin
